Get a CDP event schema
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/cdp/schemas/{event_type} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/cdp/schemas/{event_type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/cdp/schemas/{event_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"event_type": "<string>",
"enforcement_mode": "strict",
"json_schema": {},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}CDP
Get a CDP event schema
Return a single registered event schema by its event name, including its JSON Schema, enforcement mode and description. Use it to inspect exactly how one event type is validated. Returns 404 when no schema is registered for the event. Owner / admin / developer only.
GET
/
api
/
v1
/
cdp
/
schemas
/
{event_type}
Get a CDP event schema
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
URL-encoded event name (e.g. Order%20Completed).
Response
200 - application/json
The requested event schema
⌘I